--*****************************************************************
-- MAIN LOVE FUNCTIONS
--*****************************************************************

lf = love.filesystem
la = love.audio
li = love.image
lg = love.graphics
lj = love.joystick
lm = love.mouse

lg.setDefaultFilter( "nearest", "nearest" )


-----------------------------------------
-- love.load
-----------------------------------------
function love.load(arg)
	gStartTime = love.timer.getTime()
end

-----------------------------------------
-- love.update
-----------------------------------------
function love.update( dt )
end

-----------------------------------------
-- love.draw
-----------------------------------------
function love.draw()
	local text = "FPS: " .. love.timer.getFPS() .. " | FRAMETIME: " .. string.format("%.5f", love.timer.getAverageDelta() ) 
	lg.print(text, 5, 5)
	
	local stats = lg.getStats()
	lg.print("DRAWCALLS: " .. stats.drawcalls, 5, 30)
	lg.print("DRAWCALLSBATCHED: " .. stats.drawcallsbatched, 5, 55)
	lg.print("IMAGES: " .. stats.images, 5, 80)
	lg.print("TIME: " .. (love.timer.getTime() - gStartTime), 5, 105)
	
	if (love.timer.getFPS() < 60 and (love.timer.getTime() - gStartTime) > 5) then
		print ("TIME: " .. (love.timer.getTime() - gStartTime) .. "; FPS: " .. love.timer.getFPS())
	end
end
